# tower_job_launch – Launch an Ansible Job

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Launch an Ansible Tower jobs. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
credential - |  | Credential to use for job, only used if prompt for credential is set.
extra_vars - |  | Extra_vars to use for the job_template. Prepend `@` if a file.
inventory - |  | Inventory to use for the job, only used if prompt for inventory is set.
job_explanation - |  | Job explanation field.
job_template - / required |  | Name of the job template to use.

job_type
-

Choices:
- run
- check
- scan

Job_type to use for the job, only used if prompt for job_type is set.

limit - |  | Limit to use for the job_template.
tags - |  | Specific tags to use for from playbook.
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.

use_job_endpoint
boolean

Choices:
- no ←
- yes

Disable launching jobs from job template.

validate_certs
boolean

Choices:
- no
- yes

Whether to allow insecure connections to Tower.
If `no`, SSL certificates will not be validated.
This should only be used on personally controlled sites using self-signed certificates.
aliases: tower_verify_ssl

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.

- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    # Launch a job template
    - name: Launch a job
      tower_job_launch:
        job_template: "My Job Template"
      register: job

    - name: Wait for job max 120s
      tower_job_wait:
        job_id: "{{ job.id }}"
        timeout: 120

    # Launch job template with inventory and credential for prompt on launch
    - name: Launch a job with inventory and credential
      tower_job_launch:
        job_template: "My Job Template"
        inventory: "My Inventory"
        credential: "My Credential"
      register: job
    - name: Wait for job max 120s
      tower_job_wait:
        job_id: "{{ job.id }}"
        timeout: 120

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
id integer | success | job id of the newly launched job Sample: 86
status string | success | status of newly launched job Sample: pending

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Wayne Witzel III (@wwitzel3)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.